Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
probleme installation linknx lors du make
#1
Bonjour à tous

il y a 2 semaines, plantage au niveau du pi et plus moyen d'ouvrir knxweb.

vu que j'étais sous d'anciennes versions j'ai décidé de refaire une nouvelle installation.

lors du premier essai avec install-trio, ca n'a pas été car problème de mises à jours du script (php 7 notamment)
mais aussi dans le make de linknx (error apparaisait beaucoup trop souvent à l'ecran)

j'ai donc reformater la carte et repris l'installation "manuellement" de tous le compléments repris dans le script install-trio
en verifiant pas a pas que tous s'installait correctement et en corrigeant quand ca passait pas
 j'ai terminé par relancer le script du trio pour installer knxd et linknx.

apache 2 bien installé, knxweb2 aussi (page check-install s'affiche) mais ni eibd ni linknx n'ont démarré.
pour eibd c'est logique puisque c'est knxd qui est installé.

je cherche à paramétrer knxd, mais la c'est un peu galère, je cafouille dans mes paramétrages, je modifie le script juste pour essayer de reconfigurer knxd mais rien a faire

donc reformat , réinstall comme pour la 2 eme tentative en me disant que j'allais me focaliser sur linknx et que le parametrage de knxd attendra un peu.

mais la de nouveau message d'erreur lors de l'install de linknx version (32), je tente d'installer le version 30 qui tournait avant le plantage du pi mais rien a faire toujours des erreurs dans le make


donc je me demande si

-  ca ne vient pas de la version de raspbian que j'ai installé  : raspbian stretch with desktop (09-17)

- je ne pense pas que ca puisse venir du pi en lui meme

- est ce qu'il manque un complément ?

ci joint une partie des messages d'erreur

si quelqu'un à une idée ....

NB j'ai déjà essayé en utilisant cette commande aussi   :"touch aclocal.m4 Makefile.in config.h.in configure"

merci d'avance


Pièces jointes
.txt   erreur make linknx.txt (Taille : 94,68 Ko / Téléchargements : 2)
Répondre
#2
Go for the lastest 0.0.1.34 from https://github.com/linknx/linknx
Répondre
#3
Salut,

plusieurs questions :
- quelle interface entre le PI et le Knx ? une interface IP ?
- as-tu gardé ta vieille config ou reformaté la carte SD ? car si linknx et eibd ou knxd fonctionnait du peut repartir de là, faire un "update" de knxweb c'est pas très compliqué
- pour le script d'install tu as utilisé celui dispo là : https://github.com/linknx/install ? si oui je suis preneur des anomalies/correction pour le mettre à jour ...

@+
Anthony.
Knxweb : http://www.knxweb.fr/
Dépot des sources : https://github.com/linknx/knxweb
Version de démo de Knxweb : http://www.knxweb.fr/demo/setup.php
Script install du trio : https://github.com/linknx/install
Export ETS génère le linknx.xml : http://www.knxweb.fr/ETS/index.php
Répondre
#4
(02/12/2017, 19:04:43)Energy01 a écrit : Salut,

plusieurs questions :
- quelle interface entre le PI et le Knx ? une interface IP ?
- as-tu gardé ta vieille config ou reformaté la carte SD ? car si linknx et eibd ou knxd fonctionnait du peut repartir de là, faire un "update" de knxweb c'est pas très compliqué
- pour le script d'install tu as utilisé celui dispo là : https://github.com/linknx/install ? si oui je suis preneur des anomalies/correction pour le mettre à jour ...

@+
Anthony.

Salut Anthony,

interface ip : MDT scn ip 000.01

Vu le problème initial (page blanche sur l'ancienne installation) et qu'elle datait un peu , j'ai préféré refaire une nouvelle installation et donc formatage ( meme si j'ai pensé a sauvegarder certains fichiers pour ne pas tout devoir reconfigurer)

pour l'install, j ai bien utilisé le script dispo là : https://github.com/linknx/install

comme j'avais un pi 1 j'ai achete hier un pi3 , puis j'ai d'abord fait une install "manuelle" des compléments avant de lancer le script

mais même problème à l'installation que sur le pi1

voici ce que j'ai fait

sudo apt-get update
sudo apt-get upgrade
sudo wget https://github.com/linknx/install/archive/master.tar.gz && tar -xzf master.tar.gz
cd install-master
~/install-master $ sudo chmod u+x install-trio.sh
~/install-master $ sudo apt-get install gcc g++ make locales --yes -y -qq
sudo apt-get install liblog4cpp5-dev libesmtp-dev liblua5.1-0-dev libxml2 dpkg

sudo apt-get install libtool-doc readline-doc autoconf automaken gfortran | fortran95-compiler (suggerer donc installer)
mais probleme avec automaken et gfotran donc 
sudo apt-get install libtool-doc readline-doc autoconf


sudo apt-get install mysql-client mysql-common mysql-server mysql-server-core-5.5 libmysqlclient-dev
mais probleme avec mysql-server-core-5.5 et libmysqlclient-dev donc 
sudo apt-get install mysql-client mysql-common mysql-server mariadb-server-core-10.1 mariadb-server-core-10.0
mais les  conflit entre mariadb-server-core-10.1 mariadb-server-core-10.0 d'ou
sudo apt-get install mysql-client mysql-common mysql-server

 sudo apt-get install libcurl4-openssl-dev openssl libssl-dev build-essential file autoconf dh-make debhelper devscripts fakeroot gnupg

sudo apt install apache2 php7.0 libapache2-mod-php7.0 php7.0-mysql php7.0-curl php7.0-gd php7.0-intl php-pear php-imagick php7.0-imap php7.0-mcrypt php-memcache  php7.0-pspell php7.0-recode php7.0-sqlite3 php7.0-tidy php7.0-xmlrpc php7.0-xsl php7.0-mbstring php-gettext
car php5 n existe plus

et ensuite 

sudo sh ./install-trio.sh --with-mysql --login=knx --password=knx --with-webmin --knxd-ipport=192.168.0.20 --knxweb-cvsversion --linknx-cvsversion --linknx_xml=/var/www/html/knxweb2

je suis parvenu a capture certaines erreur pendant l'execution en SSH

voir fichier joint

(un message d'erreur pour knxd )
une serie d'erreur pour linknx semblable a celle de l'install sur pi1

voila pour l'instant


Pièces jointes
.txt   erreur knxd.txt (Taille : 11,7 Ko / Téléchargements : 1)
.txt   erreur make linknx.txt (Taille : 94,68 Ko / Téléchargements : 0)
Répondre
#5
(03/12/2017, 08:16:52)michichi a écrit :
(02/12/2017, 19:04:43)Energy01 a écrit : Salut,

plusieurs questions :
- quelle interface entre le PI et le Knx ? une interface IP ?
- as-tu gardé ta vieille config ou reformaté la carte SD ? car si linknx et eibd ou knxd fonctionnait du peut repartir de là, faire un "update" de knxweb c'est pas très compliqué
- pour le script d'install tu as utilisé celui dispo là : https://github.com/linknx/install ? si oui je suis preneur des anomalies/correction pour le mettre à jour ...

@+
Anthony.

Salut Anthony,

interface ip : MDT scn ip 000.01

Vu le problème initial (page blanche sur l'ancienne installation) et qu'elle datait un peu , j'ai préféré refaire une nouvelle installation et donc formatage ( meme si j'ai pensé a sauvegarder certains fichiers pour ne pas tout devoir reconfigurer)

pour l'install, j ai bien utilisé le script dispo là : https://github.com/linknx/install

comme j'avais un pi 1 j'ai achete hier un pi3 , puis j'ai d'abord fait une install "manuelle" des compléments avant de lancer le script

mais même problème à l'installation que sur le pi1

voici ce que j'ai fait

sudo apt-get update
sudo apt-get upgrade
sudo wget https://github.com/linknx/install/archive/master.tar.gz && tar -xzf master.tar.gz
cd install-master
~/install-master $ sudo chmod u+x install-trio.sh
~/install-master $ sudo apt-get install gcc g++ make locales --yes -y -qq
sudo apt-get install liblog4cpp5-dev libesmtp-dev liblua5.1-0-dev libxml2 dpkg

sudo apt-get install libtool-doc readline-doc autoconf automaken gfortran | fortran95-compiler (suggerer donc installer)
mais probleme avec automaken et gfotran donc 
sudo apt-get install libtool-doc readline-doc autoconf


sudo apt-get install mysql-client mysql-common mysql-server mysql-server-core-5.5 libmysqlclient-dev
mais probleme avec mysql-server-core-5.5 et libmysqlclient-dev donc 
sudo apt-get install mysql-client mysql-common mysql-server mariadb-server-core-10.1 mariadb-server-core-10.0
mais les  conflit entre mariadb-server-core-10.1 mariadb-server-core-10.0 d'ou
sudo apt-get install mysql-client mysql-common mysql-server

 sudo apt-get install libcurl4-openssl-dev openssl libssl-dev build-essential file autoconf dh-make debhelper devscripts fakeroot gnupg

sudo apt install apache2 php7.0 libapache2-mod-php7.0 php7.0-mysql php7.0-curl php7.0-gd php7.0-intl php-pear php-imagick php7.0-imap php7.0-mcrypt php-memcache  php7.0-pspell php7.0-recode php7.0-sqlite3 php7.0-tidy php7.0-xmlrpc php7.0-xsl php7.0-mbstring php-gettext
car php5 n existe plus

et ensuite 

sudo sh ./install-trio.sh --with-mysql --login=knx --password=knx --with-webmin --knxd-ipport=192.168.0.20 --knxweb-cvsversion --linknx-cvsversion --linknx_xml=/var/www/html/knxweb2

je suis parvenu a capture certaines erreur pendant l'execution en SSH

voir fichier joint

(un message d'erreur pour knxd )
une serie d'erreur pour linknx semblable a celle de l'install sur pi1

voila pour l'instant

j'ai tester l'install manuelle de knx-0.0.1.34
cd linknx-0.0.1.34
./configure --without-log4cpp --without-lua --with-mysql=/usr/bin/mysql_config  --without-pth-test
sudo make install
et la linknx est installé

pi@raspberrypi:~ $ linknx --config=/var/www/html/knxweb2/linknx.xml
2017-12-03 08:52:12 [ INFO] XmlInetServer: Starting on port 1028
2017-12-03 08:52:12 [ INFO] Object: Configured object 'cur_time': gad=0/0/0
2017-12-03 08:52:12 [ INFO] Object: Configured object 'cur_date': gad=0/0/0
2017-12-03 08:52:12 [ INFO] Rule: Initial value is not set, assuming "false". Please add init="false|true|eval" to rule config.
2017-12-03 08:52:12 [ INFO] Rule: Rule: Configuring cur_time_date (active=1)
2017-12-03 08:52:12 [ INFO] PeriodicTask: Rescheduled at 2017-12-3 09:52:12 (1512291132)
2017-12-03 08:52:12 [ INFO] Rule: ActionList: Configuring 'on-true' action list
2017-12-03 08:52:12 [ INFO] Action: SetValueAction: Configured for object cur_time with value now
2017-12-03 08:52:12 [ INFO] Action: SetValueAction: Configured for object cur_date with value now
2017-12-03 08:52:12 [ INFO] Rule: Rule: Configuration done
2017-12-03 08:52:12 [ INFO] main: Config file loaded: /var/www/html/knxweb2/linknx.xml
2017-12-03 08:52:12 [ERROR] KnxConnection: Failed to open knxConnection url.
2017-12-03 08:53:12 [ERROR] KnxConnection: Failed to open knxConnection url.
2017-12-03 08:54:12 [ERROR] KnxConnection: Failed to open knxConnection url.
2017-12-03 08:55:12 [ERROR] KnxConnection: Failed to open knxConnection url.
2017-12-03 08:56:12 [ERROR] KnxConnection: Failed to open knxConnection url.

je pense qu'il ne reste qu'a parametrer knxd

je continue mes recherches mais toutes aides est la bien venue
Répondre
#6
pour knxd
j'ai ajouter les dépendance suivante

dependencies: libusb-1.0-0-dev (>= 1.0.9) libsystemd-dev (>= 228) | libsystemd-daemon-dev (>= 200) | base-files (<< 8) dh-systemd | base-files (<< 8) libev-dev libfmt3-dev | cmake (>= 2.8.12)

mais lorsque je lance l'install trio
install-master $ sudo sh ./install-trio.sh --with-mysql --login=knx --password=knx --with-webmin --knxd-ipport=192.168.0.20 --knxweb-cvsversion --linknx-cvsversion --linknx_xml=/var/www/html/knxweb2
-------------------------------------------------------------------

----==== MACHINE 32 bits hostname : raspberrypi ====----
- kernel : Linux 4.9.41-v7+ armv7l
- firmware : #1023 SMP Tue Aug 8 16:00:15 BST 2017
IP local : 192.168.0.3 IP Publique : 149.154.219.172
Espace disque utilise 78 % soit 1550 Mo d'espace libre
-------------------------------------------------------------------
-------------------------------------------------------------------
----====== User pour lancer knxd et Linknx + Mysql ======----
Creation de l'utilisateur 'knx'
useradd: user 'knx' already exists
L'utilisateur knx existe deja ou probleme a la création
-------------------------------------------------------------------
-------------------------------------------------------------------
----====== LinKnx ======----
deja installe version 0.0.1.34
Et est a jour
Mais on force avec la version du cvs
-------------------------------------------------------------------
-------------------------------------------------------------------
----====== Web Serveur ======----
APACHE2 is install
-------------------------------------------------------------------
cat: /var/www/html/knxweb2/version: Aucun fichier ou dossier de ce type
-------------------------------------------------------------------
----====== KnxWeb ======----
deja installe en version
./install-trio.sh: 408: ./install-trio.sh: arithmetic expression: expecting primary: " *100 "

je vais tenter de l'installer "manuellement
Répondre
#7
installation "manuelle " de knxd :

pi@raspberrypi:~/install-master $ sudo apt-get install cdbs

pi@raspberrypi:~/install-master $ cd pthsem-2.0.8

pi@raspberrypi:~/install-master/pthsem-2.0.8 $ sudo dpkg-buildpackage -b -uc
.... resultat :
dpkg-genbuildinfo --build=binary
dpkg-genchanges --build=binary >../pthsem_2.0.8_armhf.changes
dpkg-genchanges: info: envoi des binaires seulement (le code source n'est pas inclus)
dpkg-source --after-build pthsem-2.0.8
dpkg-buildpackage: info: envoi d'un binaire seulement (aucune inclusion de code source)

on continue

pi@raspberrypi:~/install-master $ sudo dpkg -i libpthsem*.deb

pi@raspberrypi:~/install-master $ sudo echo " " > /var/log/knxd.log
pi@raspberrypi:~/install-master $ sudo chmod 777 /var/log/knxd.log

pi@raspberrypi:~/install-master $ sudo apt-get install git-core build-essential debhelper cdbs autoconf automake libtool libusb-1.0-0-dev libsystemd-daemon-dev dh-systemd
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Aucune version du paquet libsystemd-daemon-dev n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source
Cependant les paquets suivants le remplacent :
libsystemd-dev

E: Le paquet « libsystemd-daemon-dev » n'a pas de version susceptible d'être installée
pi@raspberrypi:~/install-master $ sudo apt-get install git-core build-essential debhelper cdbs autoconf automake libtool libusb-1.0-0-dev libsystemd-dev dh-systemd

pi@raspberrypi:~/install-master $ sudo git clone https://github.com/knxd/knxd.git
fatal: le chemin de destination 'knxd' existe déjà et n'est pas un répertoire vide.

donc
pi@raspberrypi:~/install-master $ cd knxd


pi@raspberrypi:~/install-master/knxd $ sudo git checkout stable
Déjà sur 'stable'
Votre branche est à jour avec 'origin/stable'.
pi@raspberrypi:~/install-master/knxd $ cd ..
pi@raspberrypi:~/install-master $ sudo dpkg-buildpackage -b -uc
tail: impossible d'ouvrir 'debian/changelog' en lecture: Aucun fichier ou dossier de ce type
dpkg-buildpackage: erreur: fin de debian/changelog a produit une erreur de sortie de type 1

pi@raspberrypi:~/install-master $ sudo chmod 777 /home/pi/install-master/knxd/debian/changelog
pi@raspberrypi:~/install-master $ sudo dpkg-buildpackage -b -uc
tail: impossible d'ouvrir 'debian/changelog' en lecture: Aucun fichier ou dossier de ce type
dpkg-buildpackage: erreur: fin de debian/changelog a produit une erreur de sortie de type 1

j ai donc renommer le fichier knxd et relancer une install manuelle

et la ca semble fonctionner avec sudo knxd -e 0.0.1 -E 0.0.2:9 -D -T -S -b ipt:192.168.0.20
puisque j'arrive sur la page setup.php (et plus check)

par contre j'ai des ## qui apparaissent au lieu des titres des onglets
Répondre
#8
voici un apercu


Pièces jointes Miniature(s)
   
Répondre
#9
j'avais fait une version plus récente du script dans la branche "test"

https://github.com/linknx/install/tree/test

je devait l'intégré après un retour de je ne sais plus qui mais je suis pas sur d'avoir eu ce retour de test ...

peut-être que cela pourrais aider ...

oups étrange il y a un soucis avec la traduction

regarde le fichier xml dans le dossier de knxweb
include/config.xml
la balise
<lang>fr</lang>

soit met fr ou en mais pas laisser blanc elle doit être à blanc je pense

@+
Anthony
Knxweb : http://www.knxweb.fr/
Dépot des sources : https://github.com/linknx/knxweb
Version de démo de Knxweb : http://www.knxweb.fr/demo/setup.php
Script install du trio : https://github.com/linknx/install
Export ETS génère le linknx.xml : http://www.knxweb.fr/ETS/index.php
Répondre
#10
(03/12/2017, 13:58:16)Energy01 a écrit : j'avais fait une version plus récente du script dans la branche "test"

https://github.com/linknx/install/tree/test

je devait l'intégré après un retour de je ne sais plus qui mais je suis pas sur d'avoir eu ce retour de test ...

peut-être que cela pourrais aider ...

oups étrange il y a un soucis avec la traduction

regarde le fichier xml dans le dossier de knxweb
include/config.xml
la balise
<lang>fr</lang>

soit met fr ou en mais pas laisser blanc elle doit être à blanc je pense

@+
Anthony
merci

avec le tag en ça passe mais pas avec fr

peut être un fichier manquant ou corrompu

encore 2 petites questions :
-  comment faire pour réinstaller le design que j'avais sauvegarder
-  comment après coup faire le lien avec mysql
Répondre
#11
pour réinstaller le design tu remet le dossier "design" complet de la précédente version
reprend peut-être aussi les widgets que tu n'a pas dans la nouvelle version si dans la sauvegarde tu as d'autre dossier dans "widgets"
idem dans ce dossier Widgets si tu as des fichiers xml à la racine tu les met dans la nouvelle version c'est le cas si tu avais fait des "subpages" tu avais un subpages.xml que tu dois donc récupérer

pour mysql il faut que linknx soit compiler avec
si c'est le cas et que tu ne l'avais pas activé précédemment dans le menu Configuration puis Général tu peux changer Type de persistance en mysql et mettre la bonne config :
Connexion Mysql
Serveur : localhost
Utilisateur : knx
Mot de passe : knx
Base de données
Base : linknx
Table persistance : persist
Table de Log : log

j'ai fait quelques corrections dans le script "test" fonction de tes retours
je l'ai lancé sur un Pi3 "tout frais installé
affaire à suivre ..

@+
Anthony.
Knxweb : http://www.knxweb.fr/
Dépot des sources : https://github.com/linknx/knxweb
Version de démo de Knxweb : http://www.knxweb.fr/demo/setup.php
Script install du trio : https://github.com/linknx/install
Export ETS génère le linknx.xml : http://www.knxweb.fr/ETS/index.php
Répondre
#12
ca buggait avec linknx
j'ai donc reformater et tenter l'install avec ta version test mais elle reste figée sur installation des dépendances.

voici les commandes
wget https://github.com/linknx/install/archive/master.tar.gz && tar -xzf master.tar.gz
puis dans le fichier install trio j'ai viré l'ancien script pour y mettre ton script
cd install-master
sudo chmod u+x install-trio.sh
sudo sh ./install-trio.sh --with-mysql --login =knx --password=knx --with-webmin --knxd-ipport=192.168.0.20 --linknx_xml=/var/w ww/html/knxweb2
Répondre
#13
alors j'ai fait plusieurs correction dans le script dont la dernière pour knxd il y a quelques secondes
donc remet a jour le script car sinon pour knxd il manque la lib : libfmt3-dev

mais maintenant doit être ok le script

@+
Anthony.
Knxweb : http://www.knxweb.fr/
Dépot des sources : https://github.com/linknx/knxweb
Version de démo de Knxweb : http://www.knxweb.fr/demo/setup.php
Script install du trio : https://github.com/linknx/install
Export ETS génère le linknx.xml : http://www.knxweb.fr/ETS/index.php
Répondre
#14
Liste des paquets installés 2/6 :
liblog4cpp5-dev libesmtp-dev liblua5.1-0-dev libxml2 dpkg
-------------------------------------------------------------------
E: Impossible de récupérer http://mirrordirector.raspbian.org/raspb..._armhf.deb 404 Not Found [IP : 2a00:1098:0:80:1000:75:0:3 80]
E: Impossible de récupérer certaines archives, peut-être devrez-vous lancer apt-get update ou essayer avec --fix-missing ?


et apache2 ne s'installe pas (tester 2 fois)
Répondre
#15
ah je n'ai pas eu cette erreur là
et pour apache en effet j'ai fait un test en modifiant la liste des paquets ... a voir ...
Knxweb : http://www.knxweb.fr/
Dépot des sources : https://github.com/linknx/knxweb
Version de démo de Knxweb : http://www.knxweb.fr/demo/setup.php
Script install du trio : https://github.com/linknx/install
Export ETS génère le linknx.xml : http://www.knxweb.fr/ETS/index.php
Répondre
#16
j'ai relancer une install en ne changeant que la lignes de commandes pour apache dans le script.

l'install s'est bien passé sauf que knxweb n'est pas installé avec mysql

quand j'essaie de creer un nouveau design il me met que c'est pas possible => j'ai copie mon ancien dossier design

linknx est bien lancé (il réagit quand j'allume ou j'eteins via la visu

par contre knxd doit etre mal parametrer car pas de liaison entre visu et knx et pas de retour d'état non plus

j'ai essaye de relancer knxd avec une autre ligne de commande mais ca ne change rien

une idee d'un test d'une ligne d ecommande pour knxd

merci d'avance
Répondre
#17
ok j'avais oublie de modifier knxd-conf

par contre pas de mysql a première vue
Répondre
#18
j'ai refait des test avec le trio

j'ai successivement tenté divers modes d'installation

installation de la version test du trio sur raspbian => pas de probleme apparament pendant l'installation

MAIS

pas de mysql,
pas de permission sur linknx.xml
pas possible de creer un nouveau design
installation en francais mais ## donc obligé de modifier config.xml ppor passe en anglais pour afficher les intitulés

installation du trio après installation manuelle des paquet : même résultats

je ne vois pas trop quoi essayer

est ce que le sudo su - en début de script ne serait pas fautif ?

mais ca n'esplique pas l'absence de config avec mysql

d'avance merci

NB le WAF chute a vitesse grand V
Répondre
#19
Salut,

je comprend ta situation et également que ça peut être "chiant" !!

mais c'est pas simple a gérer un script d'install et même des logiciels libre en générale
là on dépend de plein d'autres choses, le système d'exploitation déjà puis également des autres "modules"

par exemple php qui a changé de version passé en v7, donc peut-être un impact dans le code de knxweb et donc des bugs ...
mais perso je ne suis pas, sur mes serveur, en version php 7 et n'ai pas encore pu faire de tests
mysql qui n'est plus géré de la même manière et remplacer plus ou moins par autre chose dans debian à priori
perso je ne remonte que rarement depuis "zéro" un "serveur"
une gestion "idéale" d'un serveur est de le mettre a jour au maximum le plus souvent mais ce qui n'est pas forcément le cas dans les fait
quand un serveur domotique fonctionne on l'utilise mais après le mettre a jour c'est pas systématique ...

nous sommes en gros 2 a gérer linknx et knxweb mais toute aide est bienvenue
nous avons choisi de passer sur github justement pour que cela soit simple si quelqu'un veux donner un coup de main, trouve un bug et propose une correction c'est "simple" ...

perso je m'occupe de knxweb et sur mes serveurs je suis avec php 5
pas toujours simple de remonter une machine de zéro pour chaque tests et cela prend beaucoup de temps
je n'ai pas non plus beaucoup de retour "positif" quand une "solution proposé" fonctionne bien et donc ne sais pas si je dois la valider ou pas sans l'avoir moi même testé

pour le " sudo su -" c'est juste un commentaire qui s'affiche si tu ne lance pas le script en tant que root donc sans la commande sudo devant

sinon pour débloquer
si linknx tourne même sans mysql pour le moment cela te permet de remettre ton install en marche
tu met tout le dossier knxweb que tu avais sauvegardé de ta précédente version qui fonctionnais dans "/var/www/html/"
et normalement tout devrait tourner non ?

après si tu veux mettre a jour knxweb on verra après c'est pas compliqué sur le principe en partant de ta "vieille version" c'est le plus simple pour retrouver ta config complète

j'ai l'impression que dans debian, mysql est maintenant remplacé par mariadb et donc peut-être pose problème ...

sinon pour réinstaller linknx suffit essaye les commandes
./configure --without-pth-test --enable-smtp --with-log4cpp --with-lua --with-mysql
make
make install

pour le paramètre du configure essai uniquement --with-mysql et pas le paramètre complet --with-mysql=/usr/bin/mysql_config

j'essayerais demain soir si je peu pour remonter un pi encore de zéro

en espérant que cela se résolve rapidement ...
restant disponible
@+
Anthony.
Knxweb : http://www.knxweb.fr/
Dépot des sources : https://github.com/linknx/knxweb
Version de démo de Knxweb : http://www.knxweb.fr/demo/setup.php
Script install du trio : https://github.com/linknx/install
Export ETS génère le linknx.xml : http://www.knxweb.fr/ETS/index.php
Répondre
#20
Salut anthony,

je me rend compte en relisant mon dernier post, que j'aurai du mettre un smiley derrière le " NB le WAF chute a vitesse grand V"

en soit la situation est loin d'être grave, car tout est gérable via les modules knx et qu'hormis la règle qui gère la vmc le reste ne sert qu'au comfort

mais quand on s'y est habitué s'est parfois dur de revenir en arrière.

je vais chercher après un tuto sur le php, car mes connaissance en programmation et en langage informatique date de quelques décennies.

Pour la solution qui consiste à réutiliser l'ancien design, c'est vrai que ça fonctionne mais pas à 100 % et c'est pour cette raison que j'ai continué les tests

il faudrait que je vérifie si il ne reste pas un problème de droit.

Par contre, là on l'absence de mysql m'ennuie, c'est qu'il ne m'est pas possible de vérifier ce qui se passe en mon absence et que j'étais en pleine session de paramétrage du système de chauffage au moment où l'ancienne version a planté. (difficile de faire ce genre de paramétrage en été ... )

enfin bon je vais prendre mon mal en patience.

merci encore à toi
Répondre
#21
Salut,

t'inquiète je ne prend pas mal du tout, c'est juste pour encore une fois tentez d'expliquer certainement maladroitement ;-)

as-tu essayer les commandes pour recompiler linknx ?
pour knxweb ta "vieille version" est fonctionnelle ? si oui c'est donc juste la nouvelle qui semble avoir un bug pour la traduction notamment ?

@+
Anthony.
Knxweb : http://www.knxweb.fr/
Dépot des sources : https://github.com/linknx/knxweb
Version de démo de Knxweb : http://www.knxweb.fr/demo/setup.php
Script install du trio : https://github.com/linknx/install
Export ETS génère le linknx.xml : http://www.knxweb.fr/ETS/index.php
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)